package cn.ezhizao.project.business.upgrade.service;

import java.util.List;
import java.util.Map;

import cn.ezhizao.project.business.order.domain.OrderExcelImportLoopModel;
import cn.ezhizao.project.business.order.domain.vo.InputVo;
import cn.ezhizao.project.business.upgrade.domain.importCheckModel;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.business.upgrade.domain.BizArchiveInputUpdate;

/**
 * 档案入库Service接口
 *
 * @author ruoyi
 * @date 2024-10-12
 */
public interface IBizArchiveInputTempService extends IService<BizArchiveInputUpdate>
{
    /**
     * 查询档案入库列表
     *
     * @param bizArchiveInputUpdate 档案入库
     * @return 档案入库集合
     */
    public List<BizArchiveInputUpdate> getList(BizArchiveInputUpdate bizArchiveInputUpdate);

    /**
     * 物理删除
     * @param bizArchiveInputUpdate
     * @return 删除结果
     */
    public int physicalDelete(BizArchiveInputUpdate bizArchiveInputUpdate);
    List<BizArchiveInputUpdate> getListByInput(InputVo bizArchiveInput);

    String importLoop(List<OrderExcelImportLoopModel> orderList, Long userId, long l);
    public boolean deleteArchiveInput(Long tentantId,Long inputId);

    void inputUpgrade(Long tentantId);
    Map<String,String> checkexcel(List<OrderExcelImportLoopModel> orderList,Long tenantId);
    Map<String,List<importCheckModel>> checkInput(List<OrderExcelImportLoopModel> orderList,Long tenantId);
}
